Setup tax authority for seller (Internal API)

This is a variant of POST /partner/api/tax-authority/setup — Setup tax authority for seller; the request and responses below are the ones documented for Internal API.

Credentials

No credentials are documented for this endpoint.

Configure tax authority integration for a seller including business type and authorization file.

Parameters

This endpoint takes no path, query or header parameters.

Request body

Content type: application/json

Field Type Required Description
seller_email string yes Seller email address
seller_id_number string yes Seller Israeli ID number
osek_type string yes Business type
file_name string yes Authorization file name
file_path string yes Authorization file path

Request example

{
  "seller_email": "seller@example.com",
  "seller_id_number": "123456789",
  "osek_type": "OsekMurshe",
  "file_name": "authorization.pdf",
  "file_path": "uploads/tax-auth/authorization.pdf"
}

Code samples

curl

curl -X POST 'https://sandbox.payme.io/api/partner/api/tax-authority/setup' \
  -H 'Content-Type: application/json' \
  --data-raw '{
  "seller_email": "seller@example.com",
  "seller_id_number": "123456789",
  "osek_type": "OsekMurshe",
  "file_name": "authorization.pdf",
  "file_path": "uploads/tax-auth/authorization.pdf"
}'

Node.js

const response = await fetch("https://sandbox.payme.io/api/partner/api/tax-authority/setup", {
  method: "POST",
  headers: {
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "seller_email": "seller@example.com",
    "seller_id_number": "123456789",
    "osek_type": "OsekMurshe",
    "file_name": "authorization.pdf",
    "file_path": "uploads/tax-auth/authorization.pdf"
  }),
});

console.log(await response.text());

Python

import requests

response = requests.post(
    "https://sandbox.payme.io/api/partner/api/tax-authority/setup",
    json={
        "seller_email": "seller@example.com",
        "seller_id_number": "123456789",
        "osek_type": "OsekMurshe",
        "file_name": "authorization.pdf",
        "file_path": "uploads/tax-auth/authorization.pdf",
    },
)

print(response.text)

PHP

<?php

$body = <<<'BODY'
{
  "seller_email": "seller@example.com",
  "seller_id_number": "123456789",
  "osek_type": "OsekMurshe",
  "file_name": "authorization.pdf",
  "file_path": "uploads/tax-auth/authorization.pdf"
}
BODY;

$ch = curl_init('https://sandbox.payme.io/api/partner/api/tax-authority/setup');
curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => $body,
]);

$response = curl_exec($ch);
curl_close($ch);

echo $response;

Responses

200 — Tax authority setup successful (success)

400 — Bad Request - Validation failed (error)

Field Type Description
statusCode integer
message string
error string
{
  "statusCode": 400,
  "message": [
    "Validation failed"
  ],
  "error": "Bad Request"
}

401 — Unauthorized - Invalid or missing authentication (error)

Field Type Description
statusCode integer
message string
error string
{
  "statusCode": 401,
  "message": "Unauthorized",
  "error": "Unauthorized"
}